VLOCK(1)

NAZWA
vlock - program do blokowania wirtualnej konsoli

SKŁADNIA
vlock [ -hv ]

vlock [ -acns ] [ -t <timeout> ] [ dodatki... ]

OPIS
vlock jest programem służącym do blokowania jednej lub wielu sesji w konsoli Linuksa. Jest szczególnie przydatny na linuksowych komputerach, do których konsoli dostęp ma wielu użytkowników. Użytkownik może zablokować tylko swoje sesje, pozwalając innym użytkownikom systemu na normalne użytkowanie innych wirtualnych konsol. Jeśli zaistnieje potrzeba, można zablokować całą konsolę i uniemożliwić przełączanie się pomiędzy wirtualnymi terminalami.

Domyślnie blokowana jest tylko bieżąca konsola wirtualna. Z opcjami -a, --all blokowane są wszystkie konsole wirtualne. Zablokowane konsole nie mogą zostać otwarte bez użycia hasła użytkownika lub administratora. Hasło administratora zawsze będzie mogło odblokować jedną lub wiele sesji, chyba że funkcjonalność ta została wyłączona podczas kompilacji.

Proszę zauważyć, że możliwe jest całkowite odcięcie się od konsoli przy użyciu opcji -a, --all, jeżeli zapomni się hasła! Jeśli nie ma możliwości zabicia procesu vlock po zalogowaniu się zdalnie przez terminal szeregowy lub sieć, to twardy restart systemu jest jedyną metodą "odblokowania" ekranu.

Podczas blokowanie wszystkich konsoli ekranu, czasami jest możliwe zabicie programu vlock używając do tego klawisza SAK (Secure Access Key, kombinacja SysRq+K) lub innych poleceń dostępnych przez mechanizm SysRq. Podanie opcji -s, --disable-sysrq i -a, --all spowoduje wyłączenie mechanizmu SysRq na czas działania programu vlock. Więcej szczegółów można znaleźć w pliku /usr/src/linux/Documentation/sysrq.txt.

vlock działa głównie na sesję konsoli. Aby zablokować całą konsolę spod sesji X Window, należy użyć opcji -n, --new: vlock przełączy się na pustą konsolę wirtualną i zablokuje ekran.

Opcje -n, --new, -s, --disable-sysrq oraz -t, --timeout działają tylko wtedy, gdy vlock został skompilowany ze wsparciem dla dodatków (pluginów). Więcej informacji można znaleźć w pliku PLUGINS w katalogu z dokumentacją programu vlock.

OPCJE
-a, --all

    Zamyka wszystkie sesje konsoli i wyłącza możliwość przełączania się pomiędzy VC.

-c, --current

    Zamyka bieżącą sesję (domyślne).

-n, --new

    Przed zablokowaniem wszystkich konsoli, przełącza się na nową konsolę wirtualną.

-s, --disable-sysrq

    Wyłącza klawisz sysrq na czas blokowania konsoli. Opcja ta działa tylko w połączeniu z opcją -a, --all.

-t, --timeout <sekundy>

    Określa timeout dla dodatków wygaszacza ekranu. Więcej informacji można znaleźć w podręczniku vlock-plugins(5).

-h, --help

    Wyświetla krótki komunikat pomocy.

-v, --version

    Wyświetla numer wersji.

ZMIENNE ŚRODOWISKOWE
Aby zmienić zachowanie vlocka, można ustawić następujące zmienne środowiska:

USER

    Jeśli jest ustawiona, kiedy vlock działa jako administrator (identyfikator użytkownika równy 0), to vlock blokuje ekran w imieniu tego użytkownika. Hasło administratora wciąż może zostać użyte do odblokowania sesji, chyba że zostało to wyłączone podczas kompilacji programu.

VLOCK_ALL_MESSAGE

    Jeśli ustawiono tę zmienną i zablokowane są wszystkie konsole, to jej zawartość będzie wyświetlana zamiast domyślnego komunikatu o zablokowaniu konsoli.

VLOCK_CURRENT_MESSAGE

    Jeśli ustawione tę zmienną i zablokowana jest tylko bieżąca konsola, to zawartość tej zmiennej będzie wyświetlana zamiast domyślnego komunikatu o zablokowaniu konsoli.

VLOCK_MESSAGE

    Jeśli ustawiono tę zmienną, to jej zawartość będzie wyświetlana zamiast domyślnego komunikatu o zablokowaniu konsoli. Nadpisuje obie poprzednie zmienne.

VLOCK_PLUGINS

    Zmienna, jeśli zostanie ustawiona, jest interpretowana jako rozdzielona spacjami lista dodatków ładowanych podczas startu programu vlock jako uzupełnienie dodatków podanych w linii poleceń.

VLOCK_TIMEOUT

    Zmienna określa timeout (w sekundach), po którym zostaną uruchomione (jeśli są załadowane) dodatki wygaszacza ekranu. Jeśli zmienna nie jest ustawiona lub zawiera wartość niepoprawną albo 0, to timeout nie będzie użyty. Więcej informacji o dodatkach można znaleźć w vlock-plugins(5).

VLOCK_PROMPT_TIMEOUT

    Za pomocą tej zmiennej można ustawić czas (w sekundach) wymagany na wprowadzenie hasła, gdy jest to potrzebne. Jeśli zmienna nie jest ustawiona lub zawiera wartość niepoprawną albo 0, to timeout nie będzie użyty. Ostrzeżenie: Nadanie tej zmiennej zbyt małej wartości może uniemożliwić odblokowanie sesji.

PLIKI
~/.vlockrc

    Jeśli istnieje, to jest czytany podczas startu programu vlock. Można w nim ustawić wartości wszystkich wyżej wymienionych zmiennych.

BEZPIECZEŃSTWO
Patrz plik SECURITY w katalogu dokumentacji programu vlock.

ZOBACZ TAKŻE
vlock-main(8), vlock-plugins(5)

AUTORZY
Michael K. Johnson <http://danlj.org/mkj/>

Frank Benkstein <frank-vlock@benkstein.net>

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Paweł Sędrowski (ptm.berlios.de) <sedros@gmail.com>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.